> ## Documentation Index > Fetch the complete documentation index at: https://docs.processmaker.com/llms.txt > Use this file to discover all available pages before exploring further. # Returns all environmentVariables that the user has access to. For security, values are not included > Fetch a collection of variables based on paged request and filter if provided ## OpenAPI ````json GET /environment_variables { "openapi": "3.0.0", "info": { "title": "ProcessMaker API", "description": "", "contact": { "email": "info@processmaker.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "1.0.0" }, "servers": [ { "url": "/api/1.0" } ], "security": [ { "passport": [], "bearer": [] } ], "tags": [ { "name": "Cases", "description": "Cases" }, { "name": "CssSettings", "description": "CssSettings" }, { "name": "Environment Variables", "description": "Environment Variables" }, { "name": "Files", "description": "Files" }, { "name": "Groups", "description": "Groups" }, { "name": "Group Members", "description": "Group Members" }, { "name": "Notifications", "description": "Notifications" }, { "name": "Permissions", "description": "Permissions" }, { "name": "Process Categories", "description": "Process Categories" }, { "name": "Processes", "description": "Processes" }, { "name": "Process Requests", "description": "Process Requests" }, { "name": "Request Files", "description": "Request Files" }, { "name": "Screen Categories", "description": "Screen Categories" }, { "name": "Screens", "description": "Screens" }, { "name": "Script Categories", "description": "Script Categories" }, { "name": "Scripts", "description": "Scripts" }, { "name": "Rebuild Script Executors", "description": "Rebuild Script Executors" }, { "name": "Security Logs", "description": "Security Logs" }, { "name": "Settings", "description": "Settings" }, { "name": "Signals", "description": "Signals" }, { "name": "Task Assignments", "description": "Task Assignments" }, { "name": "Tasks", "description": "Tasks" }, { "name": "Users", "description": "Users" }, { "name": "Personal Tokens", "description": "Personal Tokens" }, { "name": "Processes Variables", "description": "Processes Variables" }, { "name": "AnalyticsReporting", "description": "AnalyticsReporting" }, { "name": "Collections", "description": "Collections" }, { "name": "Comments", "description": "Comments" }, { "name": "DataSourcesCategories", "description": "DataSourcesCategories" }, { "name": "DataSources", "description": "DataSources" }, { "name": "DecisionTableCategories", "description": "DecisionTableCategories" }, { "name": "DecisionTables", "description": "DecisionTables" }, { "name": "SavedSearchCharts", "description": "SavedSearchCharts" }, { "name": "Reports", "description": "Reports" }, { "name": "SavedSearches", "description": "SavedSearches" }, { "name": "Version History", "description": "Version History" } ], "paths": { "/environment_variables": { "get": { "tags": [ "Environment Variables" ], "summary": "Returns all environmentVariables that the user has access to. For security, values are not included.", "description": "Fetch a collection of variables based on paged request and filter if provided", "operationId": "getEnvironmentVariables", "parameters": [ { "$ref": "#/components/parameters/filter" }, { "$ref": "#/components/parameters/order_by" }, { "$ref": "#/components/parameters/order_direction" }, { "$ref": "#/components/parameters/per_page" }, { "$ref": "#/components/parameters/include" } ], "responses": { "200": { "description": "list of environmentVariables", "content": { "application/json": { "schema": { "properties": { "data": { "type": "array", "items": { "$ref": "#/components/schemas/EnvironmentVariable" } }, "meta": { "type": "object" } }, "type": "object" } } } } } } } }, "components": { "parameters": { "filter": { "name": "filter", "in": "query", "description": "Filter results by string. Searches Name, Description, and Status. Status must match exactly. Others can be a substring.", "schema": { "type": "string" } }, "order_by": { "name": "order_by", "in": "query", "description": "Field to order results by", "schema": { "type": "string" } }, "order_direction": { "name": "order_direction", "in": "query", "schema": { "type": "string", "default": "asc", "enum": [ "asc", "desc" ] } }, "per_page": { "name": "per_page", "in": "query", "schema": { "type": "integer", "default": "10" } }, "include": { "name": "include", "in": "query", "description": "Include data from related models in payload. Comma separated list.", "schema": { "type": "string", "default": "" } } }, "schemas": { "EnvironmentVariable": { "allOf": [ { "$ref": "#/components/schemas/EnvironmentVariableEditable" }, { "properties": { "id": { "type": "integer", "format": "id" }, "created_at": { "type": "string", "format": "date-time" }, "updated_at": { "type": "string", "format": "date-time" } }, "type": "object" } ] }, "EnvironmentVariableEditable": { "properties": { "name": { "type": "string" }, "description": { "type": "string" }, "value": { "type": "string" }, "asset_type": { "type": "string", "nullable": true }, "do_not_update": { "type": "boolean" } }, "type": "object" } }, "securitySchemes": { "passport": { "type": "oauth2", "description": "Laravel passport oauth2 security.", "flows": { "authorizationCode": { "authorizationUrl": "/oauth/authorize", "tokenUrl": "/oauth/token", "refreshUrl": "/token/refresh", "scopes": {} } } }, "bearer": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } } } ````